# openPilotLog: AStrictRxValidator Class Reference

AStrictRxValidator Class Reference

The AStrictRxValidator class only returns Invalid or Acceptable. More...

`#include <astrictrxvalidator.h>`

Inheritance diagram for AStrictRxValidator:

## Public Member Functions

QValidator::State | validate (QString &txt, int &pos) const

## Detailed Description

The AStrictRxValidator class only returns Invalid or Acceptable.

The documentation for this class was generated from the following files:

- src/classes/astrictrxvalidator.h
- src/classes/astrictrxvalidator.cpp